schema_version: 0.1
type: producer
identifier: xml
title: XML File
version: 1
copyright: Meltytech, LLC
creator: Dan Dennedy
license: LGPLv2.1
language: en
tags:
  - Audio
  - Video
description: |
  Construct a service network from an XML description. See docs/mlt-xml.txt.

notes: >
  If there is a service with a property "xml_retain=1" that is not the
  producer, and if it also has an "id" property; then the extra service
  is put into a properties list keyed on the id property. Then, that
  properties list is placed as a property on the returned service with
  the name "xml_retain". This lets an application retrieve additional
  deserialized services that are not the lastmost producer or anywhere in
  its graph.

bugs:
  - This producer is not thread-safe during its construction because it
    may modify the mlt_profile, even if is_explcicit is set.

parameters:
  - identifier: argument
    title: File
    type: string
    description: An XML text file containing MLT XML.
    readonly: no
    required: yes
    mutable: no
    widget: fileopen
